<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>User Setting | WAIFU</title>
    <link rel="icon" type="image/x-icon" href="/pictures/favicon.ico">
    <!--font awesome icon-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css"
        integrity="sha512-Fo3rlrZj/k7ujTnHg4CGR2D7kSs0v4LLanw2qksYuRlEzO+tcaEPQogQ0KaoGN26/zrn20ImR1DfuLWnOo7aBA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!--bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <!--swiper-->
    <link rel="stylesheet" href="https://unpkg.com/swiper@7/swiper-bundle.min.css" />

    <link href="css/setting.css" rel="stylesheet">
    <script src="js/setting.js" type="module"></script>
</head>

<body>
    <!-- navbar -->
    <nav class="navbar">
        <a class="navbar-brand" title="Waifu Home" href="/">
            <img class="site-logo" src="/pictures/WAIFU_LOGO_Light.png" alt="logo">
        </a>
        <form class="search-bar">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success search-btn" type="submit">Search</button>
        </form>
        <div class="group1 d-flex">
            <!--user history-->
            <button type="button" class="btn watch-history user-only" title="watch history">
                <i class="fas fa-history"></i>
            </button>
            <!--favorite-->
            <button type="button" class="btn bookmark user-only" title="bookmark">
                <i class="far fa-bookmark"></i>
            </button>

            <!--login btn-->
            <a href="login.html" class="btn btn-primary login-btn" title="login/register">
                <i class="far fa-user-circle"></i> login/Register
            </a>
            <!-- after login -->
            <div class="user-dropdown btn-group" hidden>
                <button type="button" class="btn dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false"
                    title="user">
                    <img class="user-profile-pic" src=""></button>
                <ul class="dropdown-menu dropdown-menu-end">
                    <li>
                        <div class="user-info">
                            <img src="" class="user-info-pic"> <span class="user-name"></span>
                        </div>
                    </li>
                    <li>
                        <div class="change-theme">
                            <i class="fas fa-eye-dropper"></i> Change Theme
                        </div>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <a class="dropdown-item" href="setting.html">User Setting</a>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <button type="button" class="btn btn-outline-primary logout-btn">
                            <i class="fas fa-running"></i> logout</button>
                    </li>
                </ul>
            </div>
        </div>
    </nav>




    <div class="containter-fluid">
        <div class="setting-container row">
            <h1>User Setting</h1>
            <div class="setting col-md-3">
                <form id="setting-form">
                    <div class="form-group">
                        <img id="avatar-preview" src="/pictures/guest.png" alt="avatar">Sample image</img>

                    </div>
                    <div class="form-group">
                        <label for="usernameInput" class="form-label">new username</label>
                        <input class="form-control" id="usernameInput" type="text" name="username"
                            placeholder="username">
                    </div>
                    <div class="form-group">
                        <label for="passwordInput" class="form-label">new password</label>
                        <input class="form-control" id="passwordInput" type="password" name="password"
                            placeholder="password">
                    </div>
                    <div class="form-group">
                        <label for="confirmPasswordInput" class="form-label">confrim password</label>
                        <input class="form-control" id="confirmPasswordInput" type="password" name="confirmPassword"
                            placeholder="confirm password">
                    </div>
                    <div class="error"></div>
                    <div class="form-group">
                        <button class="btn btn-primary" type="submit">Change</button>
                    </div>
                </form>



                <form action="/avatarChange" method="POST" id="avatarChange-form" enctype="multipart/form-data">
                    <label>
                        Profile Picture:
                        <input type='file' name="profile" />
                    </label>
                    <div>
                        <input type='submit' value="Submit Profile Picture:" />
                        <input type='reset' value="Clear Profile Picture:" />
                    </div>

                </form>


            </div>
        </div>

    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
        </script>

</body>

</html>